package com.sksamuel.scoot.rest

import org.apache.http.client.methods.{HttpPost, HttpUriRequest, HttpGet}

/** @author Stephen Samuel */
abstract class MethodBuilder {
    def build(req: Request): HttpUriRequest
}

object GetBuilder extends MethodBuilder {
    override def build(req: Request) = {
        val get = new HttpGet(req.path)
        get
    }
}

object PostBuilder extends MethodBuilder {
    override def build(req: Request) = {
        val post = new HttpPost(req.path)
        post
    }
}